Bug 1430097 - RFE: add libdmmp C api library for mutipathd
Summary: RFE: add libdmmp C api library for mutipathd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Lin Li
Steven J. Levine
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-07 21:00 UTC by Ben Marzinski
Modified: 2017-08-01 16:34 UTC (History)
7 users (show)

Fixed In Version: device-mapper-multipath-0.4.9-102.el7
Doc Type: Enhancement
Doc Text:
c library interface added to multipathd to give structured output Users can now use the libdmmp library to get structured information from multipathd. Other programs that want to get information from multipathd can now get this information without running a command and parsing the results.
Clone Of:
Environment:
Last Closed: 2017-08-01 16:34:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1961 normal SHIPPED_LIVE device-mapper-multipath bug fix and enhancement update 2017-08-01 17:56:09 UTC

Description Ben Marzinski 2017-03-07 21:00:36 UTC
Description of feature:

The upstream multipath tools now include a library api to retrieve data about multipath devices from multipathd. This should get backported to RHEL7, so that other programs can use it to interface with multipath.

Comment 1 Ben Marzinski 2017-03-07 21:21:25 UTC
libdmmp is build on top of libmpathcmd, which is a more general library interface to multipathd, that simply sends the commands and receives the data, formatted just like it would be if you ran the command at the commandline. I'm also packaging this library as well.

Actually, the device-mapper-multipath package will now have 3 new subpackages, device-mapper-multipath-devel, libdmmp, and libdmmp-devel. I'm not adding libdmmp to device-mapper-multipath-libs (which is getting libmpathcmd, and already has the libmpathpersist libraries) because it requires json-c to work, and I don't want to add that dependency to all multipath users.

device-mapper-multipath-devel will include the headers and library files for using the libmpathcmd libaray, as well as the libmpathpersist library (which were previously installed with device-mapper-multipath-libs). libdmmp with just include that library, and libdmmp-devel will include all the
files necesary to write programs that use it.

Comment 3 Ben Marzinski 2017-03-08 05:04:22 UTC
Patches backported.

Comment 5 Steven J. Levine 2017-05-09 21:44:17 UTC
Ben:

I did a little bit of rearranging here to fit the release note format. Does this seem ok to you?

Steven

Comment 6 Ben Marzinski 2017-05-10 17:32:00 UTC
Looks good.

Comment 8 errata-xmlrpc 2017-08-01 16:34:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1961


Note You need to log in before you can comment on or make changes to this bug.